Package picard.cmdline.argumentcollections

# Interface ReferenceArgumentCollection

All Known Implementing Classes:
  `CollectAlignmentSummaryMetrics.CollectAlignmentRefArgCollection`, `CollectRrbsMetrics.CollectRrbsMetricsReferenceArgumentCollection`, `CreateSequenceDictionary.CreateSeqDictReferenceArgumentCollection`, `OptionalReferenceArgumentCollection`, `RequiredReferenceArgumentCollection`, `ScatterIntervalsByNs.ScatterIntervalsByNReferenceArgumentCollection`

public interface ReferenceArgumentCollection
Base interface for a reference argument collection.

## Method Summary

Modifier and Type
Method
Description
`File`
`getReferenceFile()`

## Method Details

### getReferenceFile

File getReferenceFile()

Returns:
  The reference provided by the user, if any, or the default, if any.